aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* board/freescale: factorize genimage logicGravatar Georges Savoundararadj2016-09-1123-307/+70
| | | | | | | | | | | | | | | | | | | | | | | For the boards imx6ulevk, imx6sabresd, mx25pdk, mx51evk, mx53loco, warpboard: * Replace genimage.cfg with a common Freescale genimage template named genimage.cfg.template because they all use the same layout. The only difference comes from the device tree blobs. * Replace each post-image.sh script with a generic post-image.sh script which is able to generate the right genimage.cfg depending on: ** the image type (zImage or uImage) from BR2_LINUX_KERNEL_UIMAGE ** the device tree blobs from BR2_LINUX_KERNEL_INTREE_DTS_NAME ** the rootfs type (ext2, ext3 or ext4) from BR2_TARGET_ROOTFS_EXT2 * Fix the readme.txt files accordingly Signed-off-by: Georges Savoundararadj <savoundg@gmail.com> Cc: Fabio Estevam <festevam@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Cc: Peter Korsgaard <peter@korsgaard.com> Cc: Yann E. MORIN <yann.morin.1998@free.fr> [Thomas: remove handling of rootfs type, using rootfs.ext2 in all cases is fine, rootfs.ext3 and rootfs.ext4 are just symbolic links to it.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* binutils: fix makeinfo related issueGravatar Thomas Petazzoni2016-09-111-4/+4
| | | | | | | | | | The latest version of binutils, 2.27, added in commit b700157db40410907d6a07582eacbb5030fd919e, fails to build on systems that don't have makeinfo installed. This commit therefore applies the same fixup as the one used for binutils 2.26, which consists in touching all the .info files, so that they don't get rebuilt. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libssh2: fix dependency on libgcryptGravatar Yann E. MORIN2016-09-112-4/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | Since 2f89476 (package/libgpg-error: bump to version 1.23), libssh2 has inherited the dependency from libgcrypt (propagated from libgpg-error). However, since libssh2 can use either openssl or libgcrypt as a backend, the dependency should be relaxed when openssl is available. But the test is broken and inverted: it will make libssh unavailable as soon as openssl is enabled. Fix this dependenc byt doing what other similar packages do: select openssl if the other crypto backend (here libgcrypt) is not enabled. This also allows us to drop the propagated dependency on the arch condition. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Arnout Vandecappelle <arnout@mind.be> Cc: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Cc: Jörg Krause <joerg.krause@embedded.rocks> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Cc: Maxime Hadjinlian <maxime.hadjinlian@gmail.com> Cc: Romain Naour <romain.naour@openwide.fr> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libssh: fix dependency on libgcryptGravatar Yann E. MORIN2016-09-112-4/+3
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Since 2f89476 (package/libgpg-error: bump to version 1.23), libssh has inherited the dependency from libgcrypt (propagated from libgpg-error). However, since libssh can use either openssl or libgcrypt as a backend, the dependency should be relaxed when openssl is available. But the test is broken and inverted: it will make libssh unavailable as soon as openssl is enabled. This in itself is already incorrect, but that can cause further issues, as some packages (e.g. Kodi) will select (indirectly) openssl, and has an option to select libssh; enabling that option causes unmet direct dependencies of libssh: warning: (BR2_PACKAGE_KODI_LIBSSH) selects BR2_PACKAGE_LIBSSH which has unmet direct dependencies (BR2_USE_MMU && !BR2_STATIC_LIBS && BR2_TOOLCHAIN_HAS_THREADS && BR2_PACKAGE_LIBGPG_ERROR_ARCH_SUPPORTS && !BR2_PACKAGE_OPENSSL) Fix this dependency by doing what other similar packages do: select openssl if the other crypto backend (here libgcrypt) is not enabled. This also allows us to drop the propagated dependency on the arch condition. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Arnout Vandecappelle <arnout@mind.be> Cc: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Cc: Jörg Krause <joerg.krause@embedded.rocks> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Cc: Maxime Hadjinlian <maxime.hadjinlian@gmail.com> Cc: Romain Naour <romain.naour@openwide.fr> Reviewed-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* openal: use upstream patch to detect run-time NEON supportGravatar André Hentschel2016-09-112-1/+5
| | | | | | Signed-off-by: André Hentschel <nerv@dawncrow.de> [Thomas: download patches directly from Github.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* openal: add upstream patch to fix FPU related build failuresGravatar André Hentschel2016-09-112-0/+3
| | | | | | | | | | | | Fixes: http://autobuild.buildroot.net/results/b57/b5777a0ed33f6bb7a5fc0486ea21ecef58615dac/build-end.log Signed-off-by: André Hentschel <nerv@dawncrow.de> [Thomas: - download patch directly from Github. - add reference to autobuilder failure.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* jemalloc: add a check for valgrind being configured as wellGravatar Charles Hardin2016-09-111-0/+9
| | | | | | | | | | | | jemalloc can be compiled with valgrind support being enabled to produce proper output, so when the valgrind package has been configured configure jemalloc appropriately. In addition, make sure to disable valgrind support unconditionally in the host variant of jemalloc. Signed-off-by: Charles Hardin <ckhardin@exablox.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gtest: fix URL in package descriptionGravatar Carlos Santos2016-09-111-1/+1
| | | | | | | | http://code.google.com/p/googletest redirects to https://github.com/google/googletest, now. Signed-off-by: Carlos Santos <casantos@datacom.ind.br> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* wandboard: Select required host tools for SD card generationGravatar Fabio Estevam2016-09-111-1/+5
| | | | | | | Select the required host tools for proper SD card generation. Signed-off-by: Fabio Estevam <fabio.estevam@nxp.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* wandboard: Use U-Boot 2016.07Gravatar Fabio Estevam2016-09-115-42/+18
| | | | | | | | | | | | | | Upgrade U-Boot version to 2016.07 and make proper use of U-Boot distro configuration features. Provide a boot.scr binary script that is one of the standard ways to pass a U-Boot script with distro features enabled. With this method the uboot-env.txt file is no longer needed, so it is removed. Signed-off-by: Fabio Estevam <fabio.estevam@nxp.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* wandboard: Use kernel version 4.7.3Gravatar Fabio Estevam2016-09-111-6/+6
| | | | | | | | | | | Wandboard is well supported in the mainline kernel, so let's switch from the 3.14 vendor kernel to 4.7.3 mainline kernel version. As mainline use more dts files to support both B1 and C1 versions of the board, adjust the dts entries accordingly. Signed-off-by: Fabio Estevam <fabio.estevam@nxp.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libusb: bump version to 1.0.20, switch to GithubGravatar Jeroen Roovers2016-09-113-3/+167
| | | | | | | | | | | This commit updates libusb to version 1.0.20, and adds a patch that should fix parallel make issues particular to this version and probably fixed in the next version. This commit also moves to using Github as the source for libusb. Signed-off-by: Jeroen Roovers <jer@airfi.aero> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* legacy/kernel-headers: adjust recommended targetGravatar Gustavo Zacarias2016-09-111-20/+20
| | | | | | | | | | | Previously they were set at next available version, which is problematic since new syscalls can be introduced. So switch to lower available. There's a caveat for 3.1 and 3.0 headers though since there's no lower than 3.2, so keep it at 3.2 for those unfortunately. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* linux-headers: remove deprecated versionsGravatar Gustavo Zacarias2016-09-112-10/+20
| | | | | | | | Linux headers 3.19.x and 4.0.x have been deprecated for a while now, so it's time to remove them. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* system: fix unmet dependenciesGravatar Yann E. MORIN2016-09-111-1/+1
| | | | | | | | | | | Don't force remounting / read/write when using a customskeleton and systemd as init system, to fix the following unmet dependencies: warning: (BR2_INIT_SYSTEMD) selects BR2_TARGET_GENERIC_REMOUNT_ROOTFS_RW which has unmet direct dependencies (BR2_ROOTFS_SKELETON_DEFAULT) Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/weston: fix unmet dependenciesGravatar Yann E. MORIN2016-09-111-4/+5
| | | | | | | | | | | | | | | | | Properly propagate dependencies from freerdp to fix the following unmet dependencies: warning: (BR2_PACKAGE_WESTON_RDP) selects BR2_PACKAGE_FREERDP which has unmet direct dependencies (BR2_INSTALL_LIBSTDCPP && BR2_USE_WCHAR && !BR2_STATIC_LIBS && BR2_TOOLCHAIN_HAS_THREADS && BR2_USE_MMU && BR2_TOOLCHAIN_HAS_SYNC_4) Reorder deps to have architectures deps first. Remove "broken" dependency from comment; add missing ones. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/docker-engine: fix unmet dependenciesGravatar Yann E. MORIN2016-09-111-0/+1
| | | | | | | | | | | | | | Properly propagate dependencies from docker-containerd to fix the following unmet dependencies: warning: (BR2_PACKAGE_DOCKER_ENGINE_DAEMON) selects BR2_PACKAGE_DOCKER_CONTAINERD which has unmet direct dependencies (BR2_PACKAGE_HOST_GO_ARCH_SUPPORTS && BR2_PACKAGE_HOST_GO_CGO_LINKING_SUPPORTS && BR2_TOOLCHAIN_HAS_THREADS && BR2_USE_MMU && BR2_USE_WCHAR) Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* linux/ext: fix Xenomai unmet dependenciesGravatar Yann E. MORIN2016-09-111-8/+10
| | | | | | | | | | | | | | | | | Properly propagate the Xenomai dependencies to the corresponding kernel extension, to fix the following unmet dependencies: warning: (BR2_LINUX_KERNEL_EXT_XENOMAI) selects BR2_PACKAGE_XENOMAI which has unmet direct dependencies (BR2_PACKAGE_XENOMAI_ARCH_SUPPORTS && BR2_TOOLCHAIN_HAS_THREADS && !BR2_TOOLCHAIN_USES_MUSL) While at it, move the comment lower, after the path option, so that the path option is properly indented in the menuconfig. Add markers to separate each extension. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* linux-firmware: bump versionGravatar Gustavo Zacarias2016-09-111-1/+1
| | | | | | | | | Bump to the latest (as of this writing) linux-firmware git version. This adds support for newer iwlwifi firmware versions that are required for newer kernel series. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* linux-firmware: add bluetooth firmware for intel chipsGravatar Gustavo Zacarias2016-09-112-0/+16
| | | | | | | | It probably makes no sense to try split them up by model since there aren't that big. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/upmpdcli: bump to version 1.2.2Gravatar Jörg Krause2016-09-112-3/+3
| | | | | | | | Upstream did not provide a hash file, so the hash was calculated manually. Signed-off-by: Jörg Krause <joerg.krause@embedded.rocks> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/libupnpp: bump to version 0.15.0Gravatar Jörg Krause2016-09-112-3/+3
| | | | | Signed-off-by: Jörg Krause <joerg.krause@embedded.rocks> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* squid: bump to version 3.5.21Gravatar Gustavo Zacarias2016-09-092-4/+4
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* smcroute: bump to version 2.1.1Gravatar Julien Floret2016-09-092-4/+4
| | | | | Signed-off-by: Julien Floret <julien.floret@6wind.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* luarocks: bump to version 2.4.0Gravatar Francois Perrad2016-09-092-2/+2
| | | | | Signed-off-by: Francois Perrad <francois.perrad@gadz.org> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* configs/galileo: switch back to the original kernel repoGravatar Padraig James Connolly2016-09-081-2/+2
| | | | | | | | | | This commit switches the galileo_defconfig to use the orignal Linux kernel repo, which was used prior to commit fc8cac962baf5668dbc623ae5d411b75f77d3384. Signed-off-by: Padraig Connolly <padraig.connolly@intel.com> [Thomas: improved commit log.] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/x11r7/xserver_xorg-server: glamor depends on libglGravatar Bernd Kuhls2016-09-081-1/+1
| | | | | | | | Fixes http://autobuild.buildroot.net/results/1f6/1f6131c25738577afd8e097d126e8166cbcfcdd8/ Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* leveldb: fix staging and target installationGravatar Baruch Siach2016-09-081-15/+15
| | | | | | | | | The patch adding target/staging installation support needs variable names update to account for upstream changes in version 1.19. Cc: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* leveldb: fix static buildGravatar Baruch Siach2016-09-081-9/+1
| | | | | | | | | | | | | | | | Since version 1.19 Makefile variable names changed. Update the build command accordingly. While at it, remove variables that Makefile doesn't use anymore. This change means that the static library is always build, even when BR2_SHARED_LIBS=y, since the static library name is hard coded in leveldb Makefile. Fixes: http://autobuild.buildroot.net/results/00c/00c8c5a1d6001eaebfe2a9f848dd292c91bf6a79/ Cc: Bernd Kuhls <bernd.kuhls@t-online.de> Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* configs: Add support for warp7 boardGravatar Fabio Estevam2016-09-084-0/+184
| | | | | | | | | | Add support for warp7, which is a board based on NXP i.MX7S processor. More information about warp7 can be found at: https://www.element14.com/community/docs/DOC-79058 Signed-off-by: Fabio Estevam <fabio.estevam@nxp.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Config.in: remove BR2_DEPRECATED_SINCE_2015_08Gravatar Gustavo Zacarias2016-09-081-4/+0
| | | | | | | It's now unused. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libgail: remove deprecated packageGravatar Gustavo Zacarias2016-09-085-98/+0
| | | | | | | It's unused and has been deprecated for some time now. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* webkit: remove deprecated packageGravatar Gustavo Zacarias2016-09-0812-1880/+0
| | | | | | | | It's been deprecated for quite a while and it's now replaced by the more modern and up to date webkitgtk package. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Config.in: remove BR2_DEPRECATED_SINCE_2015_05Gravatar Gustavo Zacarias2016-09-081-4/+0
| | | | | | | It's now unused. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* arch: remove support for sh64Gravatar Gustavo Zacarias2016-09-0810-26/+14
| | | | | | | It's been deprecated for quite some time now. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/qemu: fix build of host variantGravatar Yann E. MORIN2016-09-081-9/+12
| | | | | | | | | | | | | | | The Qemu buildsystem expects that the cpp it is passed can be called like it were cc: it passes it the '-c' option, which is not allowed by cpp, but is allowed for cc. Fix that by overriding CPP when calling configure. Note: the target variant of Qemu does not build the affected parts (the PC-BIOS images). This is another problem that should be fixed separately. Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Cc: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* util-linux: bump version to 2.28.2Gravatar Vicente Olivert Riera2016-09-083-14/+2
| | | | | | | | | --enable-findfs and --enable-lsblk configure options don't exist anymore. Now, findfs and lsblk are always built by default unless you pass --disable-all-programs to the configure script. Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package/php: explicitly disable phpdbgGravatar Theo Debrouwere2016-09-081-0/+1
| | | | | | | | When building php, the package will also build/install phpdbg. This patch explicitly disables this behaviour. Signed-off-by: Theo Debrouwere <t.debrouwere@televic.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* syslog-ng: Bump version to 3.7.3Gravatar Chris Packham2016-09-082-2/+2
| | | | | Signed-off-by: Chris Packham <judge.packham@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* syslog-ng: add optional support for libnet buildGravatar Chris Packham2016-09-081-0/+7
| | | | | | | | | | | | | | | | If libnet is included pass --enable-spoof-source to configure otherwise pass --disable-spoof-source. This stops syslog-ng's configure from enabling address spoofing based on the build host having libnet installed. Fixes: http://autobuild.buildroot.net/results/71c733e4a7275f3a1b79cd19065d94e77af0309b http://autobuild.buildroot.net/results/d16ba0b9ef75d5a676a26db788be31556b69772a http://autobuild.buildroot.net/results/9659d1db1a128b269459fd9b8be797a9efbd35af Signed-off-by: Chris Packham <judge.packham@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* gcc/gcc-final: Disable libcilkrts when using static libsGravatar Floris Bos2016-09-081-1/+2
| | | | | | | | | | | | | | Disable libcilkrts when building static, as there is no static version: https://software.intel.com/en-us/articles/intel-cilk-plus-runtime-library-libcilkrts-can-only-be-linked-dynamically/ Fixes the following toolchain build error when building for i386 and BR2_STATIC_LIBS=y + BR2_TOOLCHAIN_BUILDROOT_CXX=y is set: ../../../libcilkrts/runtime/sysdep-unix.c:603:19: fatal error: dlfcn.h: No such file or directory Signed-off-by: Floris Bos <bos@je-eigen-domein.nl> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* freetype: bump to version 2.7Gravatar Gustavo Zacarias2016-09-082-2/+2
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* binutils: deprecate 2.24.xGravatar Gustavo Zacarias2016-09-081-0/+1
| | | | | | | | Now that 2.26.x is stable and there's 2.25.x to fallback for whatever reason it makes no sense to keep two versions back from default. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Config.in: Add BR2_DEPRECATED_SINCE_2016_11Gravatar Gustavo Zacarias2016-09-081-0/+4
| | | | | | | In preparation for new deprecated features/symbols. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* binutils: bump default to version 2.26.xGravatar Gustavo Zacarias2016-09-081-1/+1
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* glibc: fix MIPS and SPARC builds for glibc < 2.24 with recent binutilsGravatar Vicente Olivert Riera2016-09-084-0/+396
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Backport two upstream patches to fix a build failure on MIPS and SPARC architectures when using recent binutils versions. It appears that on these architectures pt-vfork.S includes vfork.S (through the alpha version of pt-vfork.S) and that the __vfork aliases are not conditionalized on IS_IN (libc) like on other architectures. Therefore the aliases are also wrongly included in libpthread.so. The build failure looks like this: /br/output/build/glibc-2.22/build/nptl/libpthread.so:(*IND*+0x0): multiple definition of `vfork@GLIBC_2.0' /br/output/build/glibc-2.22/build/nptl/libpthread.so::(.text+0xeea0): first defined here This problem was reported in Debian here: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=827477 Upstream patches here: https://sourceware.org/git/?p=glibc.git;a=commit;h=43c2948756bb6e144c7b871e827bba37d61ad3a3 https://sourceware.org/git/?p=glibc.git;a=commit;h=b87c1ec3fa398646f042a68f0ce0f7d09c1348c7 I have tweaked them a little bit in order to not patch the ChangeLog file, otherwise it will fail. Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* erlang-rebar: bump to version 2.6.4Gravatar Frank Hunleth2016-09-082-2/+2
| | | | | Signed-off-by: Frank Hunleth <fhunleth@troodon-software.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* harfbuzz: bump to version 1.3.1Gravatar Gustavo Zacarias2016-09-082-3/+3
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/fbterm: fix download siteGravatar Julien BOIBESSOT2016-09-081-1/+1
| | | | | | | fbterm-1.7.0.tar.gz is no more accessible from http://fbterm.googlecode.com/files Signed-off-by: Julien BOIBESSOT <julien.boibessot@armadeus.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* gnutls: bump to version 3.4.15Gravatar Gustavo Zacarias2016-09-082-2/+2
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>